Bug 228695 - Find in Projects does not remember checked regexp option
Find in Projects does not remember checked regexp option
Status: VERIFIED FIXED
Product: utilities
Classification: Unclassified
Component: Search
7.3
PC Windows 7
: P3 (vote)
: 7.3.1
Assigned To: Jaroslav Havlin
issues@utilities
73patch2-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-18 10:32 UTC by lspcity
Modified: 2013-05-09 14:02 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description lspcity 2013-04-18 10:32:05 UTC
If you open the "Find in Projects" dialog which can be opend via right-click on a directory in tab "Projects", you can use Regular Expressions for "File Name Patterns".

If you reopen the dialog, this option is still checked, but internal it's not set to checked. You have to uncheck and check again this option to be able to use Regular Expressions for File Name Patterns.
Comment 1 Jaroslav Havlin 2013-04-25 12:04:41 UTC
This has been already fixed in bug 211098 (changeset
http://hg.netbeans.org/core-main/rev/a8efc474edfa, file BasicSearchForm.java, method initValuesFromHistory).

Please try the latest development build, and if it works fine for you there, set status of this issue to verified/fixed. Thank you.
Comment 2 Vladimir Riha 2013-05-02 07:47:18 UTC
verified


Product Version: NetBeans IDE Dev (Build 201304292301)
Updates: Updates available
Java: 1.7.0_21; Java HotSpot(TM) Client VM 23.21-b01
Runtime: Java(TM) SE Runtime Environment 1.7.0_21-b11
System: Linux version 3.2.0-40-generic-pae running on i386; UTF-8; en_US (nb)
Comment 3 Jaroslav Havlin 2013-05-02 13:33:57 UTC
Thank you for verification.
Fixed in release73 branch: http://hg.netbeans.org/releases/rev/5eb541db9b91
Comment 4 Jaroslav Havlin 2013-05-02 13:39:14 UTC
I'm sorry, I've changed the status by mistake. Setting back to VERIFIED.
Comment 5 Vladimir Riha 2013-05-09 14:02:32 UTC
patch2 verified


Product Version: NetBeans IDE 7.3.1 (Build 201302132200)
Java: 1.7.0_21; Java HotSpot(TM) Client VM 23.21-b01
Runtime: Java(TM) SE Runtime Environment 1.7.0_21-b11
System: Linux version 3.2.0-41-generic-pae running on i386; UTF-8; en_US (nb)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo